<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

/**
 * Receive $_GET['uid']
 */
class User_DefaultAction extends User_Action
{
	function isSecure()
	{
		return false;
	}

	function getDefaultView(&$controller, &$xoopsUser)
	{
		return is_object($xoopsUser) ? USER_FRAME_VIEW_ERROR : USER_FRAME_VIEW_INPUT;
	}
	
	function executeViewInput(&$controller, &$xoopsUser, &$render)
	{
		$render->setTemplateName("user_default.html");
	}

	function executeViewError(&$controller, &$xoopsUser, &$render)
	{
		$controller->executeForward("index.php?action=UserInfo&uid=" . $xoopsUser->get('uid'));
	}
}

?>